name: amap_map_fluttify
description: An `Amap` Map Component, Powered By `Fluttify` Compiler, A Dart Bindings Generator For Native SDK.
version: 2.0.2

environment:
  sdk: ^3.5.3
  flutter: '>=3.3.0'

dependencies:
  flutter:
    sdk: flutter
  
#   url_launcher: ^6.1.6
  uni_map_platform_interface:
      git:
         url: http://gitea.cquni.com/yangjie/uni_map_platform_interface.git
         ref: master
  foundation_fluttify:
      git:
         url: http://gitea.cquni.com/yangjie/foundation_fluttify.git
         ref: master
  core_location_fluttify:
      git:
         url: http://gitea.cquni.com/yangjie/core_location_fluttify.git
         ref: master
  amap_core_fluttify:
      git:
         url: http://gitea.cquni.com/yangjie/amap_core_fluttify.git
         ref: master
#   amap_search_fluttify:
#       git:
#          url: http://gitea.cquni.com/yangjie/amap_search_fluttify.git
#          ref: master
#   amap_location_fluttify:
#         git:
#            url: http://gitea.cquni.com/yangjie/amap_location_fluttify.git
#            ref: master


dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: any

flutter:
  plugin:
    platforms:
      android:
        package: me.yohom.amap_map_fluttify
        pluginClass: AmapMapFluttifyPlugin
      ios:
        pluginClass: AmapMapFluttifyPlugin